Package org.apache.batchee.jaxb

## Class Listeners

- java.lang.Object
- - org.apache.batchee.jaxb.Listeners

-     public class Listeners
      extends Object

  Java class for Listeners complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType name="Listeners">
         <complexContent>
           <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
             <sequence>
               <element name="listener" type="{http://xmlns.jcp.org/xml/ns/javaee}Listener" maxOccurs="unbounded" minOccurs="0"/>
             </sequence>
           </restriction>
         </complexContent>
       </complexType>

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `protected List<Listener>` | `listenerList` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `Listeners()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `List<Listener>` | `getListenerList()` | Gets the value of the listenerList property.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### listenerList

          protected List<Listener> listenerList

  - ### Constructor Detail

    - #### Listeners

          public Listeners()

  - ### Method Detail

    - #### getListenerList

          public List<Listener> getListenerList()

      Gets the value of the listenerList property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the listenerList property.

      For example, to add a new item, do as follows:

              getListenerList().add(newItem);

      Objects of the following type(s) are allowed in the list `Listener`